Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1739922 - python2-fedmsg-meta-fedora-infrastructure fails to install in Fedora rawhide
Summary: python2-fedmsg-meta-fedora-infrastructure fails to install in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fedmsg-meta-fedora-infrastructure
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:32 UTC by Miro Hrončok
Modified: 2019-11-02 21:22 UTC (History)
7 users (show)

Fixed In Version: python-fedmsg-meta-fedora-infrastructure-0.29.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:02:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:32:27 UTC
python2-fedmsg-meta-fedora-infrastructure-0.27.0-2.fc30.noarch fails to install in Fedora rawhide:

  package python2-fedmsg-meta-fedora-infrastructure-0.27.0-2.fc30.noarch requires python2.7dist(fedmsg), but none of the providers can be installed
  package python2-fedmsg-meta-fedora-infrastructure-0.27.0-2.fc30.noarch requires python2-fedmsg-core, but none of the providers can be installed
  nothing provides python2-moksha-hub >= 1.3.2 needed by python2-fedmsg-1.1.1-4.fc30.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency or remove the package. Thanks

Comment 1 Ben Cotton 2019-08-13 17:09:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Miro Hrončok 2019-08-19 21:05:53 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 3 Miro Hrončok 2019-08-21 15:47:17 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 4 Fedora Update System 2019-08-28 12:32:09 UTC
FEDORA-2019-1c42597673 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c42597673

Comment 5 Fedora Update System 2019-08-29 21:01:47 UTC
python-fedmsg-meta-fedora-infrastructure-0.28.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c42597673

Comment 6 Miro Hrončok 2019-08-30 11:59:17 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 7 Fedora Update System 2019-09-02 09:58:52 UTC
FEDORA-2019-d0874fa58f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d0874fa58f

Comment 8 Fedora Update System 2019-09-02 23:56:37 UTC
python-fedmsg-meta-fedora-infrastructure-0.29.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d0874fa58f

Comment 9 Geoffrey Marr 2019-09-03 21:39:46 UTC
Discussed during the 2019-09-03 blocker review meeting: [1]

The decision to classify this bug as a "RejectedFreezeException" was made as this is not on any of the release media, so we can just leave the update process to handle it.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-03/f31-blocker-review.2019-09-03-16.01.txt

Comment 10 Fedora Update System 2019-09-18 00:02:15 UTC
python-fedmsg-meta-fedora-infrastructure-0.29.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.